<?php
$tdataderecho_gestion = array();
$tdataderecho_gestion[".searchableFields"] = array();
$tdataderecho_gestion[".ShortName"] = "derecho_gestion";
$tdataderecho_gestion[".OwnerID"] = "";
$tdataderecho_gestion[".OriginalTable"] = "derecho_gestion";


$tdataderecho_gestion[".pagesByType"] = my_json_decode( "{\"list\":[\"list\"],\"search\":[\"search\"]}" );
$tdataderecho_gestion[".originalPagesByType"] = $tdataderecho_gestion[".pagesByType"];
$tdataderecho_gestion[".pages"] = types2pages( my_json_decode( "{\"list\":[\"list\"],\"search\":[\"search\"]}" ) );
$tdataderecho_gestion[".originalPages"] = $tdataderecho_gestion[".pages"];
$tdataderecho_gestion[".defaultPages"] = my_json_decode( "{\"list\":\"list\",\"search\":\"search\"}" );
$tdataderecho_gestion[".originalDefaultPages"] = $tdataderecho_gestion[".defaultPages"];

//	field labels
$fieldLabelsderecho_gestion = array();
$fieldToolTipsderecho_gestion = array();
$pageTitlesderecho_gestion = array();
$placeHoldersderecho_gestion = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsderecho_gestion["Spanish"] = array();
	$fieldToolTipsderecho_gestion["Spanish"] = array();
	$placeHoldersderecho_gestion["Spanish"] = array();
	$pageTitlesderecho_gestion["Spanish"] = array();
	$fieldLabelsderecho_gestion["Spanish"]["id_socio_gd"] = "Id Socio Gd";
	$fieldToolTipsderecho_gestion["Spanish"]["id_socio_gd"] = "";
	$placeHoldersderecho_gestion["Spanish"]["id_socio_gd"] = "";
	$fieldLabelsderecho_gestion["Spanish"]["ci"] = "Ci";
	$fieldToolTipsderecho_gestion["Spanish"]["ci"] = "";
	$placeHoldersderecho_gestion["Spanish"]["ci"] = "";
	$fieldLabelsderecho_gestion["Spanish"]["socio"] = "Socio";
	$fieldToolTipsderecho_gestion["Spanish"]["socio"] = "";
	$placeHoldersderecho_gestion["Spanish"]["socio"] = "";
	$fieldLabelsderecho_gestion["Spanish"]["gestion"] = "Gestion";
	$fieldToolTipsderecho_gestion["Spanish"]["gestion"] = "";
	$placeHoldersderecho_gestion["Spanish"]["gestion"] = "";
	$fieldLabelsderecho_gestion["Spanish"]["nro_derecho"] = "Nro Derecho";
	$fieldToolTipsderecho_gestion["Spanish"]["nro_derecho"] = "";
	$placeHoldersderecho_gestion["Spanish"]["nro_derecho"] = "";
	$fieldLabelsderecho_gestion["Spanish"]["id_derecho_Propietario"] = "Id Derecho Propietario";
	$fieldToolTipsderecho_gestion["Spanish"]["id_derecho_Propietario"] = "";
	$placeHoldersderecho_gestion["Spanish"]["id_derecho_Propietario"] = "";
	$fieldLabelsderecho_gestion["Spanish"]["id_Socio"] = "Id Socio";
	$fieldToolTipsderecho_gestion["Spanish"]["id_Socio"] = "";
	$placeHoldersderecho_gestion["Spanish"]["id_Socio"] = "";
	$fieldLabelsderecho_gestion["Spanish"]["id_Gestion"] = "Id Gestion";
	$fieldToolTipsderecho_gestion["Spanish"]["id_Gestion"] = "";
	$placeHoldersderecho_gestion["Spanish"]["id_Gestion"] = "";
	if (count($fieldToolTipsderecho_gestion["Spanish"]))
		$tdataderecho_gestion[".isUseToolTips"] = true;
}


	$tdataderecho_gestion[".NCSearch"] = true;



$tdataderecho_gestion[".shortTableName"] = "derecho_gestion";
$tdataderecho_gestion[".nSecOptions"] = 0;

$tdataderecho_gestion[".mainTableOwnerID"] = "";
$tdataderecho_gestion[".entityType"] = 0;
$tdataderecho_gestion[".connId"] = "bsn_dividendos_at_localhost";


$tdataderecho_gestion[".strOriginalTableName"] = "derecho_gestion";

	



$tdataderecho_gestion[".showAddInPopup"] = false;

$tdataderecho_gestion[".showEditInPopup"] = false;

$tdataderecho_gestion[".showViewInPopup"] = false;

$tdataderecho_gestion[".listAjax"] = false;
//	temporary
//$tdataderecho_gestion[".listAjax"] = false;

	$tdataderecho_gestion[".audit"] = true;

	$tdataderecho_gestion[".locking"] = true;


$pages = $tdataderecho_gestion[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataderecho_gestion[".edit"] = true;
	$tdataderecho_gestion[".afterEditAction"] = 1;
	$tdataderecho_gestion[".closePopupAfterEdit"] = 1;
	$tdataderecho_gestion[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataderecho_gestion[".add"] = true;
$tdataderecho_gestion[".afterAddAction"] = 1;
$tdataderecho_gestion[".closePopupAfterAdd"] = 1;
$tdataderecho_gestion[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataderecho_gestion[".list"] = true;
}



$tdataderecho_gestion[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataderecho_gestion[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataderecho_gestion[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataderecho_gestion[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataderecho_gestion[".printFriendly"] = true;
}



$tdataderecho_gestion[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataderecho_gestion[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataderecho_gestion[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataderecho_gestion[".isUseAjaxSuggest"] = true;



																																																																																	

$tdataderecho_gestion[".ajaxCodeSnippetAdded"] = false;

$tdataderecho_gestion[".buttonsAdded"] = false;

$tdataderecho_gestion[".addPageEvents"] = false;

// use timepicker for search panel
$tdataderecho_gestion[".isUseTimeForSearch"] = false;


$tdataderecho_gestion[".badgeColor"] = "CFAE83";


$tdataderecho_gestion[".allSearchFields"] = array();
$tdataderecho_gestion[".filterFields"] = array();
$tdataderecho_gestion[".requiredSearchFields"] = array();

$tdataderecho_gestion[".googleLikeFields"] = array();
$tdataderecho_gestion[".googleLikeFields"][] = "id_socio_gd";
$tdataderecho_gestion[".googleLikeFields"][] = "ci";
$tdataderecho_gestion[".googleLikeFields"][] = "socio";
$tdataderecho_gestion[".googleLikeFields"][] = "gestion";
$tdataderecho_gestion[".googleLikeFields"][] = "nro_derecho";
$tdataderecho_gestion[".googleLikeFields"][] = "id_derecho_Propietario";
$tdataderecho_gestion[".googleLikeFields"][] = "id_Socio";
$tdataderecho_gestion[".googleLikeFields"][] = "id_Gestion";



$tdataderecho_gestion[".tableType"] = "list";

$tdataderecho_gestion[".printerPageOrientation"] = 0;
$tdataderecho_gestion[".nPrinterPageScale"] = 100;

$tdataderecho_gestion[".nPrinterSplitRecords"] = 40;

$tdataderecho_gestion[".geocodingEnabled"] = false;










$tdataderecho_gestion[".pageSize"] = 20;

$tdataderecho_gestion[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdataderecho_gestion[".strOrderBy"] = $tstrOrderBy;

$tdataderecho_gestion[".orderindexes"] = array();


$tdataderecho_gestion[".sqlHead"] = "SELECT id_socio_gd,  	ci,  	socio,  	gestion,  	nro_derecho,  	id_derecho_Propietario,  	id_Socio,  	id_Gestion";
$tdataderecho_gestion[".sqlFrom"] = "FROM derecho_gestion";
$tdataderecho_gestion[".sqlWhereExpr"] = "";
$tdataderecho_gestion[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataderecho_gestion[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataderecho_gestion[".arrGroupsPerPage"] = $arrGPP;

$tdataderecho_gestion[".highlightSearchResults"] = true;

$tableKeysderecho_gestion = array();
$tdataderecho_gestion[".Keys"] = $tableKeysderecho_gestion;


$tdataderecho_gestion[".hideMobileList"] = array();




//	id_socio_gd
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id_socio_gd";
	$fdata["GoodName"] = "id_socio_gd";
	$fdata["ownerTable"] = "derecho_gestion";
	$fdata["Label"] = GetFieldLabel("derecho_gestion","id_socio_gd");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_socio_gd";

		$fdata["sourceSingle"] = "id_socio_gd";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_socio_gd";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderecho_gestion["id_socio_gd"] = $fdata;
		$tdataderecho_gestion[".searchableFields"][] = "id_socio_gd";
//	ci
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "ci";
	$fdata["GoodName"] = "ci";
	$fdata["ownerTable"] = "derecho_gestion";
	$fdata["Label"] = GetFieldLabel("derecho_gestion","ci");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "ci";

		$fdata["sourceSingle"] = "ci";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ci";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderecho_gestion["ci"] = $fdata;
		$tdataderecho_gestion[".searchableFields"][] = "ci";
//	socio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "socio";
	$fdata["GoodName"] = "socio";
	$fdata["ownerTable"] = "derecho_gestion";
	$fdata["Label"] = GetFieldLabel("derecho_gestion","socio");
	$fdata["FieldType"] = 201;


	
	
			

		$fdata["strField"] = "socio";

		$fdata["sourceSingle"] = "socio";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "socio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderecho_gestion["socio"] = $fdata;
		$tdataderecho_gestion[".searchableFields"][] = "socio";
//	gestion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "gestion";
	$fdata["GoodName"] = "gestion";
	$fdata["ownerTable"] = "derecho_gestion";
	$fdata["Label"] = GetFieldLabel("derecho_gestion","gestion");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "gestion";

		$fdata["sourceSingle"] = "gestion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "gestion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderecho_gestion["gestion"] = $fdata;
		$tdataderecho_gestion[".searchableFields"][] = "gestion";
//	nro_derecho
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "nro_derecho";
	$fdata["GoodName"] = "nro_derecho";
	$fdata["ownerTable"] = "derecho_gestion";
	$fdata["Label"] = GetFieldLabel("derecho_gestion","nro_derecho");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "nro_derecho";

		$fdata["sourceSingle"] = "nro_derecho";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nro_derecho";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderecho_gestion["nro_derecho"] = $fdata;
		$tdataderecho_gestion[".searchableFields"][] = "nro_derecho";
//	id_derecho_Propietario
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "id_derecho_Propietario";
	$fdata["GoodName"] = "id_derecho_Propietario";
	$fdata["ownerTable"] = "derecho_gestion";
	$fdata["Label"] = GetFieldLabel("derecho_gestion","id_derecho_Propietario");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_derecho_Propietario";

		$fdata["sourceSingle"] = "id_derecho_Propietario";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_derecho_Propietario";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderecho_gestion["id_derecho_Propietario"] = $fdata;
		$tdataderecho_gestion[".searchableFields"][] = "id_derecho_Propietario";
//	id_Socio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "id_Socio";
	$fdata["GoodName"] = "id_Socio";
	$fdata["ownerTable"] = "derecho_gestion";
	$fdata["Label"] = GetFieldLabel("derecho_gestion","id_Socio");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_Socio";

		$fdata["sourceSingle"] = "id_Socio";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_Socio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderecho_gestion["id_Socio"] = $fdata;
		$tdataderecho_gestion[".searchableFields"][] = "id_Socio";
//	id_Gestion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "id_Gestion";
	$fdata["GoodName"] = "id_Gestion";
	$fdata["ownerTable"] = "derecho_gestion";
	$fdata["Label"] = GetFieldLabel("derecho_gestion","id_Gestion");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_Gestion";

		$fdata["sourceSingle"] = "id_Gestion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_Gestion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderecho_gestion["id_Gestion"] = $fdata;
		$tdataderecho_gestion[".searchableFields"][] = "id_Gestion";


$tables_data["derecho_gestion"]=&$tdataderecho_gestion;
$field_labels["derecho_gestion"] = &$fieldLabelsderecho_gestion;
$fieldToolTips["derecho_gestion"] = &$fieldToolTipsderecho_gestion;
$placeHolders["derecho_gestion"] = &$placeHoldersderecho_gestion;
$page_titles["derecho_gestion"] = &$pageTitlesderecho_gestion;


changeTextControlsToDate( "derecho_gestion" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["derecho_gestion"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["derecho_gestion"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_derecho_gestion()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id_socio_gd,  	ci,  	socio,  	gestion,  	nro_derecho,  	id_derecho_Propietario,  	id_Socio,  	id_Gestion";
$proto0["m_strFrom"] = "FROM derecho_gestion";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
				;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id_socio_gd",
	"m_strTable" => "derecho_gestion",
	"m_srcTableName" => "derecho_gestion"
));

$proto6["m_sql"] = "id_socio_gd";
$proto6["m_srcTableName"] = "derecho_gestion";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "ci",
	"m_strTable" => "derecho_gestion",
	"m_srcTableName" => "derecho_gestion"
));

$proto8["m_sql"] = "ci";
$proto8["m_srcTableName"] = "derecho_gestion";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "socio",
	"m_strTable" => "derecho_gestion",
	"m_srcTableName" => "derecho_gestion"
));

$proto10["m_sql"] = "socio";
$proto10["m_srcTableName"] = "derecho_gestion";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "gestion",
	"m_strTable" => "derecho_gestion",
	"m_srcTableName" => "derecho_gestion"
));

$proto12["m_sql"] = "gestion";
$proto12["m_srcTableName"] = "derecho_gestion";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "nro_derecho",
	"m_strTable" => "derecho_gestion",
	"m_srcTableName" => "derecho_gestion"
));

$proto14["m_sql"] = "nro_derecho";
$proto14["m_srcTableName"] = "derecho_gestion";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "id_derecho_Propietario",
	"m_strTable" => "derecho_gestion",
	"m_srcTableName" => "derecho_gestion"
));

$proto16["m_sql"] = "id_derecho_Propietario";
$proto16["m_srcTableName"] = "derecho_gestion";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "id_Socio",
	"m_strTable" => "derecho_gestion",
	"m_srcTableName" => "derecho_gestion"
));

$proto18["m_sql"] = "id_Socio";
$proto18["m_srcTableName"] = "derecho_gestion";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "id_Gestion",
	"m_strTable" => "derecho_gestion",
	"m_srcTableName" => "derecho_gestion"
));

$proto20["m_sql"] = "id_Gestion";
$proto20["m_srcTableName"] = "derecho_gestion";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto22=array();
$proto22["m_link"] = "SQLL_MAIN";
			$proto23=array();
$proto23["m_strName"] = "derecho_gestion";
$proto23["m_srcTableName"] = "derecho_gestion";
$proto23["m_columns"] = array();
$proto23["m_columns"][] = "id_socio_gd";
$proto23["m_columns"][] = "ci";
$proto23["m_columns"][] = "socio";
$proto23["m_columns"][] = "gestion";
$proto23["m_columns"][] = "nro_derecho";
$proto23["m_columns"][] = "id_derecho_Propietario";
$proto23["m_columns"][] = "id_Socio";
$proto23["m_columns"][] = "id_Gestion";
$obj = new SQLTable($proto23);

$proto22["m_table"] = $obj;
$proto22["m_sql"] = "derecho_gestion";
$proto22["m_alias"] = "";
$proto22["m_srcTableName"] = "derecho_gestion";
$proto24=array();
$proto24["m_sql"] = "";
$proto24["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto24["m_column"]=$obj;
$proto24["m_contained"] = array();
$proto24["m_strCase"] = "";
$proto24["m_havingmode"] = false;
$proto24["m_inBrackets"] = false;
$proto24["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto24);

$proto22["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto22);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="derecho_gestion";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_derecho_gestion = createSqlQuery_derecho_gestion();


	
				;

								

$tdataderecho_gestion[".sqlquery"] = $queryData_derecho_gestion;



$tdataderecho_gestion[".hasEvents"] = false;

?>